Package frc.robot.subsystems.swervedrive2.swervelib.parser.json

## Class MotorConfigDouble

- java.lang.Object
- - frc.robot.subsystems.swervedrive2.swervelib.parser.json.MotorConfigDouble

-     class MotorConfigDouble
      extends Object

  Used to store doubles for motor configuration.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `double` | `angle` | Angle motor.
    `double` | `drive` | Drive motor.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MotorConfigDouble()` | Default constructor.
    `MotorConfigDouble​(double angle, double drive)` | Default constructor.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### drive

          public double drive

      Drive motor.

    - #### angle

          public double angle

      Angle motor.

  - ### Constructor Detail

    - #### MotorConfigDouble

          public MotorConfigDouble()

      Default constructor.

    - #### MotorConfigDouble

          public MotorConfigDouble​(double angle,
                                   double drive)

      Default constructor.
      Parameters:
        `angle` - Angle data.
        `drive` - Drive data.